The Technology for Modern Applications

 

 The CryptoEx is developed by using modern web application technologies include NodeJS, PHP – Laravel Framework and Nginx Server.

 

Operating systems (Linux x86-64)

Linux distributions such as RedHat Enterprise Linux (RHEL), CentOS, Ubuntu, Debian, and so on. Our test servers on Ubuntu 16.04

Memory requirement

Deploying the CryptoEx applications can require up to 4 GB of RAM. We recommend any VPS of size 8GB for better performance.

Web servers

Apache 2.2 or 2.4

In addition, the apache mod_rewrite module must be enabled. mod_rewrite enables the server to perform URL rewriting.

nginx 1.x

PHP

 

7.0.6–7.0.x 7.1.x

Required PHP extensions

  • bc-math
  • ctype
  • curl
  • dom
  • gd, ImageMagick 6.3.7 (or later) or both
  • intl
  • mbstring
  • mcrypt
  • mhash
  • openssl
  • PDO/MySQL
  • SimpleXML
  • soap
  • spl
  • libxml
  • xsl
  • zip
  • json
  • iconv
  • PHP OPcache

We strongly recommend you verify the PHP OPcache is enabled for performance reasons.

MySQL 5.6, 5.7

CryptoEx is also compatible with MariaDB 10.0, 10.1, 10.2,.

CryptoEx only uses MySQL features compatible with MariaDB.

Composer (latest stable version)

Composer is required for developers who wish to extend the Software.

PHP settings

We recommend particular PHP configuration settings, such as memory_limit, that can avoid common problems when using CryptoEx.

SSL

A valid security certificate is required for HTTPS.
Transport Layer Security (TLS) requirement

Mail server

an SMTP server

Additional Support

Redis version 3.2 (compatible with 2.4+ ) for page caching and session storage
Varnish version 4.x or 5.0
memcached latest stable version for session storage with either memcache or memcached PHP extensions (latest stable version)

Optional but recommended:

php_xdebug2.2.0 or later (development environments only; can have an adverse effect on performance)

PHPUnit (as a command-line tool) 6.x